<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::MessageBuilder Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1MessageBuilder-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::MessageBuilder Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::MessageBuilder:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1MessageBuilder__inherit__graph.png" border="0" usemap="#Catch_1_1MessageBuilder_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1MessageBuilder_inherit__map" id="Catch_1_1MessageBuilder_inherit__map">
<area shape="rect" title=" " alt="" coords="6,80,177,107"/>
<area shape="rect" href="structCatch_1_1MessageStream.html" title=" " alt="" coords="5,5,177,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::MessageBuilder:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1MessageBuilder__coll__graph.png" border="0" usemap="#Catch_1_1MessageBuilder_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1MessageBuilder_coll__map" id="Catch_1_1MessageBuilder_coll__map">
<area shape="rect" title=" " alt="" coords="138,260,309,287"/>
<area shape="rect" href="structCatch_1_1MessageStream.html" title=" " alt="" coords="45,171,217,197"/>
<area shape="rect" href="classCatch_1_1ReusableStringStream.html" title=" " alt="" coords="5,81,217,108"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="34,5,189,32"/>
<area shape="rect" href="structCatch_1_1MessageInfo.html" title=" " alt="" coords="248,171,399,197"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="242,81,405,108"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="429,81,556,108"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac34832ca527a758f000ac233d32dd068"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageBuilder.html#ac34832ca527a758f000ac233d32dd068">MessageBuilder</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> type)</td></tr>
<tr class="separator:ac34832ca527a758f000ac233d32dd068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fa48d069b20dddcc2d3df8abb123c1"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a20fa48d069b20dddcc2d3df8abb123c1"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageBuilder.html#a20fa48d069b20dddcc2d3df8abb123c1">operator&lt;&lt;</a> (T const &amp;value)</td></tr>
<tr class="separator:a20fa48d069b20dddcc2d3df8abb123c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac34832ca527a758f000ac233d32dd068"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageBuilder.html#ac34832ca527a758f000ac233d32dd068">MessageBuilder</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;macroName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> type)</td></tr>
<tr class="separator:ac34832ca527a758f000ac233d32dd068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fa48d069b20dddcc2d3df8abb123c1"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a20fa48d069b20dddcc2d3df8abb123c1"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageBuilder.html#a20fa48d069b20dddcc2d3df8abb123c1">operator&lt;&lt;</a> (T const &amp;value)</td></tr>
<tr class="separator:a20fa48d069b20dddcc2d3df8abb123c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1MessageStream"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1MessageStream')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1MessageStream.html">Catch::MessageStream</a></td></tr>
<tr class="memitem:a554c4aff5925a077e9fe9d858217428d inherit pub_methods_structCatch_1_1MessageStream"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a554c4aff5925a077e9fe9d858217428d inherit pub_methods_structCatch_1_1MessageStream"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1MessageStream.html">MessageStream</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageStream.html#a554c4aff5925a077e9fe9d858217428d">operator&lt;&lt;</a> (T const &amp;value)</td></tr>
<tr class="separator:a554c4aff5925a077e9fe9d858217428d inherit pub_methods_structCatch_1_1MessageStream"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a554c4aff5925a077e9fe9d858217428d inherit pub_methods_structCatch_1_1MessageStream"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a554c4aff5925a077e9fe9d858217428d inherit pub_methods_structCatch_1_1MessageStream"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1MessageStream.html">MessageStream</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageStream.html#a554c4aff5925a077e9fe9d858217428d">operator&lt;&lt;</a> (T const &amp;value)</td></tr>
<tr class="separator:a554c4aff5925a077e9fe9d858217428d inherit pub_methods_structCatch_1_1MessageStream"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a979f1c2b36d78f80ee275bfa5ba0209f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageBuilder.html#a979f1c2b36d78f80ee275bfa5ba0209f">m_info</a></td></tr>
<tr class="separator:a979f1c2b36d78f80ee275bfa5ba0209f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_structCatch_1_1MessageStream"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structCatch_1_1MessageStream')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structCatch_1_1MessageStream.html">Catch::MessageStream</a></td></tr>
<tr class="memitem:a9202520faed8882ef469db9f353ec578 inherit pub_attribs_structCatch_1_1MessageStream"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1ReusableStringStream.html">ReusableStringStream</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1MessageStream.html#a9202520faed8882ef469db9f353ec578">m_stream</a></td></tr>
<tr class="separator:a9202520faed8882ef469db9f353ec578 inherit pub_attribs_structCatch_1_1MessageStream"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac34832ca527a758f000ac233d32dd068"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac34832ca527a758f000ac233d32dd068">&#9670;&nbsp;</a></span>MessageBuilder() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::MessageBuilder::MessageBuilder </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac34832ca527a758f000ac233d32dd068"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac34832ca527a758f000ac233d32dd068">&#9670;&nbsp;</a></span>MessageBuilder() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::MessageBuilder::MessageBuilder </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>macroName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a20fa48d069b20dddcc2d3df8abb123c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20fa48d069b20dddcc2d3df8abb123c1">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a>&amp; Catch::MessageBuilder::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20fa48d069b20dddcc2d3df8abb123c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20fa48d069b20dddcc2d3df8abb123c1">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a>&amp; Catch::MessageBuilder::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a979f1c2b36d78f80ee275bfa5ba0209f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a979f1c2b36d78f80ee275bfa5ba0209f">&#9670;&nbsp;</a></span>m_info</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> Catch::MessageBuilder::m_info</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
